# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.Action

Packages that use Action
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.olap

## Uses of Action in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return Action
Modifier and Type
Method
Description
`static Action`
StructureFactory.`createAction()`
Creates an empty action structure.
Methods in org.eclipse.birt.report.model.api with parameters of type Action
Modifier and Type
Method
Description
`ActionHandle`
ColumnHintHandle.`setAction(Action action)`
Set an action on the image.
`ActionHandle`
DataItemHandle.`setAction(Action action)`
Set an action on the image.
`ActionHandle`
ImageHandle.`setAction(Action action)`
Set an action on the image.
`ActionHandle`
LabelHandle.`setAction(Action action)`
Set an action on the image.

## Uses of Action in org.eclipse.birt.report.model.api.olap

Methods in org.eclipse.birt.report.model.api.olap with parameters of type Action
Modifier and Type
Method
Description
`ActionHandle`
LevelHandle.`setAction(Action action)`
Set an action on the level.
`ActionHandle`
MeasureHandle.`setAction(Action action)`
Set an action on the measure.